Bug 1312373 - [RFE] Ability to configure overcloud and undercloud ceilometer to store events via a parameter
[RFE] Ability to configure overcloud and undercloud ceilometer to store event...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
high Severity medium
: ga
: 8.0 (Liberty)
Assigned To: Jiri Stransky
Marius Cornea
: FutureFeature, TestOnly
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 09:52 EST by Marius Cornea
Modified: 2016-04-20 07:22 EDT (History)
11 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.11-1.el7ost instack-undercloud-2.2.6-1.el7ost
Doc Type: Enhancement
Doc Text:
This update adds options to configure Ceilometer to store events, which can be retrieved later through Ceilometer APIs. This is an alternative to listening to the message bus to capture events. A brief outline of the configuration is in https://bugzilla.redhat.com/show_bug.cgi?id=1318397.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-20 07:22:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 286734 None None None 2016-03-02 21:23 EST
OpenStack gerrit 287561 None None None 2016-03-02 21:25 EST

  None (edit)
Description Marius Cornea 2016-02-26 09:52:01 EST
Description of problem:

In Cloudforms integration we are planning to use Ceilometer for catching events so we need to ability to configure Ceilometer to store events at installation time. 

This is manually done by:
openstack-config --set /etc/ceilometer/ceilometer.conf 'notification' store_events True
Comment 10 Marius Cornea 2016-04-19 06:46:33 EDT
Undercloud:

stack@instack:~>>> grep store_events undercloud.conf 
store_events = true

stack@instack:~>>>  ceilometer event-type-list
+-------------------------------------+
| Event Type                          |
+-------------------------------------+
| compute.instance.create.end         |
| compute.instance.create.error       |
| compute.instance.create.start       |
| compute.instance.update             |
| identity.OS-TRUST:trust.created     |
| identity.authenticate               |
| identity.created.role_assignment    |
| identity.project.created            |
| identity.role_assignment.created    |
| identity.user.created               |
| network.create.end                  |
| network.create.start                |
| orchestration.stack.create.end      |
| orchestration.stack.create.error    |
| orchestration.stack.create.start    |
| orchestration.stack.delete.end      |
| orchestration.stack.delete.error    |
| orchestration.stack.delete.start    |
| orchestration.stack.update.end      |
| orchestration.stack.update.error    |
| orchestration.stack.update.start    |
| port.create.end                     |
| port.create.start                   |
| port.update.end                     |
| port.update.start                   |
| scheduler.select_destinations.end   |
| scheduler.select_destinations.start |
| subnet.create.end                   |
| subnet.create.start                 |
| subnet.update.end                   |
| subnet.update.start                 |
+-------------------------------------+

Overcloud after passing an environment file with the following contents:
parameter_defaults:
  CeilometerStoreEvents: True

stack@instack:~>>>  ceilometer event-type-list
+-------------------------------------+
| Event Type                          |
+-------------------------------------+
| compute.instance.create.end         |
| compute.instance.create.start       |
| compute.instance.update             |
| identity.authenticate               |
| identity.created.role_assignment    |
| identity.domain.created             |
| identity.endpoint.created           |
| identity.project.created            |
| identity.region.created             |
| identity.role.created               |
| identity.role_assignment.created    |
| identity.service.created            |
| identity.user.created               |
| image.activate                      |
| image.create                        |
| image.prepare                       |
| image.send                          |
| image.update                        |
| image.upload                        |
| keypair.import.end                  |
| keypair.import.start                |
| network.create.end                  |
| network.create.start                |
| port.create.end                     |
| port.create.start                   |
| router.create.end                   |
| router.create.start                 |
| router.update.end                   |
| router.update.start                 |
| scheduler.select_destinations.end   |
| scheduler.select_destinations.start |
| subnet.create.end                   |
| subnet.create.start                 |
+-------------------------------------+

Note You need to log in before you can comment on or make changes to this bug.